"""Test IdleRPG game operations.

SPDX-FileCopyrightText: © 2024 Brian S. Stephan <bss@incorporeal.org>
SPDX-License-Identifier: AGPL-3.0-or-later
"""
import logging

from django.test import TestCase

from idlerpg.models import Game

logger = logging.getLogger(__name__)


class GameTest(TestCase):
    """Test the Character model."""

    fixtures = ['tests/fixtures/simple_character.json']

    def test_string_repr(self):
        """Test the basic string summary."""
        game = Game.objects.get(pk=1)
        logger.debug(str(game))
        assert str(game) == "test in #test on default (active)"
